<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>
        <variable
            name="vm"
            type="com.example.beijing_daxing.been.CheckTaskInfo" />

        <import type="android.view.View"/>
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_marginTop="5dp"
        android:layout_height="45dp"
        android:background="#EAEDFD">


        <TextView
            android:id="@+id/item_index"
            style="@style/item_text_style"
            android:layout_width="40dp"
            android:layout_height="match_parent"
            android:text='@{vm.index+""}'
            />

        <View
            android:layout_width="2dp"
            android:layout_height="match_parent"
            android:background="@color/white" />

        <TextView
            style="@style/item_text_style"
            android:layout_width="115dp"
            android:layout_height="match_parent"
            android:text="@{vm.areaName}"
            />

        <View
            android:layout_width="2dp"
            android:layout_height="match_parent"
            android:background="@color/white" />

        <TextView
            android:id="@+id/check_list_start"
            style="@style/item_text_style"
            android:layout_width="115dp"
            android:layout_height="match_parent"
            android:text="@{vm.locationCode}"
            />

        <View
            android:layout_width="2dp"
            android:layout_height="match_parent"
            android:background="@color/white" />

        <TextView

            style="@style/item_text_style"
            android:layout_width="63dp"
            android:layout_height="30dp"
            android:layout_gravity="center"
            app:customBackground="@{vm.taskState}"
            android:textColor="@color/white"
            android:text="@{vm.taskState}" />
        <View
            android:layout_width="2dp"
            android:layout_height="match_parent"
            android:background="@color/white" />

        <ImageView
            android:id="@+id/check_list_skip"
            style="@style/item_text_style"
            android:layout_width="63dp"
            android:layout_height="match_parent"
            android:src="@mipmap/ic_jump"
            android:visibility='@{vm.taskState.equals("待完成")?View.VISIBLE:View.GONE}'
            android:padding="5dp"/>
    </LinearLayout>
</layout>